Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(16)

Issue 2006143009: Initialize the result in failure conditions of ChopMonoAtY. (Closed)

Created:
2 years, 12 months ago by Martin Barbella
Modified:
2 years, 11 months ago
Reviewers:
bsalomon, caryclark, reed1
CC:
reviews_skia.org
Base URL:
https://chromium.googlesource.com/skia.git@master
Target Ref:
refs/heads/master
Project:
skia
Visibility:
Public.

Description

Check results from calls to SkCubicClipper::ChopMonoAtY. BUG=613918 GOLD_TRYBOT_URL= https://gold.skia.org/search?issue=2006143009 Committed: https://skia.googlesource.com/skia/+/276e63361c73fed6c6528b322400ece81fd1d067

Patch Set 1 #

Patch Set 2 : Check return values at call-sites rather than ensuring initialization #

Unified diffs Side-by-side diffs Delta from patch set Stats (+6 lines, -2 lines) Patch
M src/core/SkPath.cpp View 1 2 chunks +6 lines, -2 lines 0 comments Download

Messages

Total messages: 17 (7 generated)
Martin Barbella
PTAL when you have a chance.
2 years, 12 months ago (2016-05-25 22:58:11 UTC) #3
bsalomon
+reed@. My guess is that the intent is to not modify the out param if ...
2 years, 12 months ago (2016-05-26 12:57:08 UTC) #5
Martin Barbella
FWIW, in the NEWTON_RAPHSON case above it seems like it's always initialized. It seems like ...
2 years, 12 months ago (2016-05-26 16:52:33 UTC) #6
reed1
Initializing t to something when we're going to return false just hides a larger bug, ...
2 years, 12 months ago (2016-05-26 18:00:22 UTC) #8
Martin Barbella
On 2016/05/26 18:00:22, reed1 wrote: > Initializing t to something when we're going to return ...
2 years, 12 months ago (2016-05-26 18:02:43 UTC) #9
Martin Barbella
On 2016/05/26 18:02:43, Martin Barbella wrote: > On 2016/05/26 18:00:22, reed1 wrote: > > Initializing ...
2 years, 12 months ago (2016-05-26 18:10:00 UTC) #10
Martin Barbella
Not sure what the right behavior in these cases should be, so sorry if this ...
2 years, 12 months ago (2016-05-27 20:22:03 UTC) #12
caryclark
lgtm
2 years, 11 months ago (2016-05-31 11:58:35 UTC) #13
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/2006143009/20001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/2006143009/20001
2 years, 11 months ago (2016-05-31 21:30:57 UTC) #15
commit-bot: I haz the power
2 years, 11 months ago (2016-05-31 21:44:04 UTC) #17
Message was sent while issue was closed.
Committed patchset #2 (id:20001) as
https://skia.googlesource.com/skia/+/276e63361c73fed6c6528b322400ece81fd1d067

Powered by Google App Engine
This is Rietveld 408576698